<?php
  require 'include/head.inc';
  require 'include/db.inc';
  require 'include/common.inc';
  
  if( isset($_GET['mnumber']) &&
     $db->query("SELECT COUNT(*) FROM students WHERE mnumber=" . trim($_GET['mnumber']) . " AND lastblackboard=" . trim($_GET['tstamp']))->fetch(PDO::FETCH_NUM)[0] == 0) {
     
    if( $_GET['sign'] == 0 ) {
      $db->query("UPDATE students SET blackboard=blackboard+1, lastblackboard=" . $_GET['tstamp'] . " WHERE mnumber=" . trim($_GET['mnumber']));
    }
    else {
      $db->query("UPDATE students SET blackboard=blackboard-1, lastblackboard=" . $_GET['tstamp'] . " WHERE mnumber=" . trim($_GET['mnumber']));
    }
  }

  if ($db->query("SELECT COUNT(*) FROM students")->fetch(PDO::FETCH_NUM)[0] == 0) {
    block("red", "no students registered");
    exit;
  }

?>

<?php
  block("black", "blackboard overview");

  $result=$db->query("SELECT firstname, lastname, mnumber, blackboard FROM students ORDER BY LOWER(lastname)");

  print "<table>";
  while ($student = $result->fetch(PDO::FETCH_ASSOC)) {
    print "<tr>";
    print "<td>" . $student['firstname'] . "&nbsp;</td>";
    print "<td>" . $student['lastname'] . "&nbsp;&nbsp;</td>";
    print "<td>" . $student['mnumber'] . "&nbsp;&nbsp;</td>";
    print "<td>" . $student['blackboard'] . "&nbsp;&nbsp;</td>";
    print "<td>" . "<a href='blackboard.php?mnumber=" . $student['mnumber'] . "&tstamp=" . time() . "&sign=0'>+1" . "</a></td>";
    print "<td>" . "<a href='blackboard.php?mnumber=" . $student['mnumber'] . "&tstamp=" . time() . "&sign=1'>-1" . "</a></td>";
    print "</tr>";
  }
  print "</table>";
     
?>